﻿body {
    padding-top: 5px;
    padding-bottom: 5px;
}

.navbar {
    margin-bottom: 5px;
    border-radius: 0px !important;
}
.navbar-brand {
    font-size: 20px !important;
    font-weight: bold !important;
}
.navbar-brand img {
    height: 40px;
    margin-left: -10px;
    margin-top: -10px;
    padding-right: 10px;
}

.gd-navbar-title {
    display: block;
    margin-left: 40px;
    margin-top: -35px;
}
.gd-navbar-subtitle {
    display: block;
    font-size: 60%;
    font-weight: normal;
    margin-left: 170px;
    margin-top: 0;
}
.gd-row {
    padding-bottom: 5px;
}
.gd-container {
    border: 1px #E7E7E7 solid;
    border-radius: 0px;
}       
.gd-chart-row {      
    color: #777777;  
}
.gd-dropdown-li-checkbox {
    padding-left: 10px;
}
.gd-dropdown-li-checkbox > label {
    font-weight: normal;
}

/* Reduce the column gutter when charts are horizontal*/
@media screen and (min-width: 1200px) {
    .gd-chart-row div:first-child {
        padding-right: 2.5px !important;
    }
    .gd-chart-row div:not(:first-child):not(:last-child) {
        padding-left: 2.5px !important;
        padding-right: 2.5px !important;
    }
    .gd-chart-row div:last-child {
        padding-left: 2.5px !important;
    }
}

.gd-graph-container {
    height: 200px;
    border: 1px #E7E7E7 solid;
    border-radius: 0px;
    margin-top: 5px;
    float: none !important;
    text-align: center;
}
.gd-graph-header {
    font-weight: bold;
    display: block;
}
.gd-graph-container .reset {

}
.dc-chart g.row rect {
    fill-opacity: 1 !important;
}
.dc-chart g.row text {
    /*fill: black !important;*/
}

/* Summary window */
.gd-summary-container {
    position: absolute;
    bottom: 5px;
    left: 20px;
    z-index: 999;
    line-height: 130%
}
.gd-summary-div {
    background-color: rgba(248, 248, 248, 0.7);
    border: 1px solid #E7E7E7;
    padding: 5px;
    text-align: center;
    color: #777777;
}
.gd-summary-name {
    font-size: 90%;
}
.gd-summary-value {
    font-size: 120%;
    font-weight: bold;
}
/* Change the summary when map is not very high */
@media screen and (max-width: 750px) {
    .gd-summary-div {
        line-height:90%;
    }
    .gd-summary-name {
        font-size: 70%;
    }
    .gd-summary-value {
        font-size: 90%;
        font-weight: bold;
    }
}

#mapDiv {
    border: 1px #E7E7E7 solid;
    border-radius: 0px;
    min-height: 300px;
}
/* Heigher map in medium size */
@media screen and (min-width: 750px) and (max-width: 1200px) {
    #mapDiv {
        min-height: 400px;
    }
}
/* Move map controls in samm size */
@media screen and (max-width: 750px) {
    .esriSimpleSlider {
        left: 5px;
        top: 5px;
    }
    #homeButton {
        top: 75px !important;
        left: 23px !important;
    }
    #locateButton {
        top: 110px !important;
        left: 23px !important;
    }
}

#homeButton {
    position: absolute;
    top: 85px;
    left: 33px;
    z-index: 50;
}
#locateButton {
    position: absolute;
    top: 120px;
    left: 33px;
    z-index: 50;
}
.gd-popup-action-hide {
    display: none;
}
.gd-popup-action-show {
    display: inline;
}

.ui-autocomplete {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1000;
  float: left;
  display: none;
  min-width: 160px;
  _width: 160px;
  padding: 4px 0;
  margin: 2px 0 0 0;
  list-style: none;
  background-color: #ffffff;
  border-color: #ccc;
  border-color: rgba(0, 0, 0, 0.2);
  border-style: solid;
  border-width: 1px;
  -webkit-border-radius: 0px;
  -moz-border-radius: 0px;
  border-radius: 0px;
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  -webkit-background-clip: padding-box;
  -moz-background-clip: padding;
  background-clip: padding-box;
  *border-right-width: 2px;
  *border-bottom-width: 2px;
}
.ui-autocomplete .ui-menu-item > a.ui-corner-all {
  display: block;
  padding: 3px 15px;
  clear: both;
  font-weight: normal;
  line-height: 18px;
  color: #555555;
  white-space: nowrap;
}
.ui-autocomplete .ui-menu-item > a.ui-corner-all.ui-state-hover, .ui-autocomplete .ui-menu-item > a.ui-corner-all.ui-state-active {
  color: #ffffff;
  text-decoration: none;
  background-color: #0088cc;
  border-radius: 0px;
  -webkit-border-radius: 0px;
  -moz-border-radius: 0px;
  background-image: none;
}
.ui-autocomplete .ui-state-focus
{
    background:#F8F8F8;
}
.ui-helper-hidden-accessible { 
    display:none; 
}

.quicksearchDijit {
    display: block;
    padding-top: 8px;
    width: 200px;
}
.search-input {
    background-color: #FFFFFF;
    background-image: none;
    border: 1px solid #CCCCCC;
    border-radius: 0;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    color: #777777;
    display: block;
    font-size: 14px;
    height: 34px;
    line-height: 1.42857;
    padding: 6px 12px;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    width: 100%;
}
/* Smaller search input so that navbar doesn't break into two lines */
@media screen and (max-width: 975px) and (min-width: 750px) {
    .quicksearchDijit {
        width: 150px;
    }

    .navbar-brand {
        font-size: 135% !important;
    }
}

#datepicker {
    width: 140px;
    padding-top: 10px;
}
.dateTime-calendar {
    padding: 15px;
}
.dateTime-calendar input {
    margin-right: 5px;
}
#dateTimeRefreshButton {
    width: 140px;
    margin-top: 10px;
}